Subject: [Srcomp] Req 4.1.5

From: Ron Bonica <[email-masked]>
Date: Mon, 9 Nov 2020 02:29:18 +0000

Folks,

The following is proposed text for Section 4.1.5. Please review and comment.

                                             Ron

Description
=========

The compression mechanism MAY, be is not required to, include the SRH. If the compression mechanism includes the SRH, it SHOULD support heterogeneous paths, in which some segment endpoints process the compression  mechanism while others process the legacy SRH.

Juniper Business Use Only

---

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Mon, 9 Nov 2020 11:54:22 +0000

Hi team, this proposed text nullifies the requirement that a solution should support SRv6 SID lists containing compressed and non-compressed segments by stating it’s only applicable to solutions using the current SRv6 data plane (SRH).  I do not believe this is viable text for the requirement.

- A solution that leverages RFC8754 is one way to satisfy this requirement.
- A solution supporting the original text can support functionality that does not require compressed segments (mobility, SFC, host networking, VPN).

________________________________
From: Srcomp <[email-masked]> on behalf of Ron Bonica <rbonica=[email-masked]>
Sent: Sunday, November 8, 2020 9:29 PM
To: srcomp <[email-masked]>
Subject: [Srcomp] Req 4.1.5

Folks,

                                             Ron

Description

=========